@font-face {
    font-family: 'Work Talk';
    src: url('fonts/Worktalk.otf')
}

:root{
    --login-square-color: #abcdff;
    --control-side-settings-color: #243aff;
}

* {
    cursor: url("imgs/will\ serfort\ assets/will_sword_outline.png") 41 39, auto;
}

body {
    background-color: white;
    margin: 0;
}

.center {
    display: grid;
    height: 100vh;
    place-items: center;
}

.hidden {
    display: none;
}

.login-background {
    position: absolute;
    width: 100%;
    height: 100%;
    background: 
        repeating-linear-gradient(
            45deg,
            black 0,
            black 1px,
            transparent 1px,
            transparent 100px
        ),
        repeating-linear-gradient(
            135deg,
            black 0,
            black 1px,
            transparent 1px,
            transparent 100px
        );
}

.login-center_box {
    width: 400px;
    height: 400px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    place-items: center;
}

.login-info_container {
    width: 300px;
    display: flex;
    flex-direction: column;
    color: black;
    font-size: 20px;
    font-family:'Segoe UI';
}

.login-info_input_format {
    background-color: white;
    border-radius: 5px;
    border: none;
    outline: none;
    font-size: 15px;
    transition:
        font-size 0.1s ease;
}

.login-info_input_format::placeholder {
    color: var(--login-square-color);
    opacity: 50%;
    font-family: "Segoe UI";
}

.login-info_input_format:focus {
    font-size: 25px;
}

.login-info_input_space {
    margin-top: -50px;
}

.login-wrong_pass {
    color: red;
    font-size: 12px;
}


#rec1 {
    border-radius: 15px;
    background-color: var(--login-square-color);
    filter: drop-shadow(15px 0 20px var(--login-square-color));
}

#login-welcome {
    color: black;
    font-size: 25px;
    font-family: 'Work Talk';
    margin-bottom: 25px;
}

#login-submit {
    background-color: white;
    height: 50px;
    margin-top: -20px;
    width: 6em;
    font-size: 15px;
    font-family: 'Segoe UI';
    border: none;
    border-radius: 25px;
    align-self: end;
    transition:
        background-color 0.5s ease;
}

#login-submit:hover {
    background-color: rgb(170, 170, 170);
}



.control-center_container {
    display: flex;
    place-items: center;
    flex-direction: row-reverse;
}

.control-center_side_settings {
    display: flex;
    flex-direction: column;
    flex-basis: 200px;
    row-gap: 20px;
    padding: 10px 50px;
    margin-right: -200px;
    background-color: var(--control-side-settings-color);
    width: 400px;
    height: 700px;
    border-radius: 50px 0 0 50px;
    transition:
        margin-right 0.5s ease;
}

.control-center_side_settings:hover {
    margin-right: -1px;
}

.control-button_style {
    background-color: transparent;
    justify-self: center;
    font-size: 80px;
    font-family: "Segoe UI Emoji";
    border-radius: 40px;
    z-index: 0;
    transition:
        background-color 0.5s ease,
        transform 0.5s ease;
}

.control-button_style:not(:disabled):hover {
    transform: scale(1.1);
    background-color: white;
}

.control-button_style:disabled {
    background-color: rgb(209, 209, 209);
}

#control-center_side_buttons {
    border: 1px solid var(--login-square-color);
    color: var(--login-square-color);
}

.control-center_settings {
    background-color: var(--login-square-color);
    width: 900px;
    height: 800px;
    border-radius: 50px;
    box-sizing: border-box;
    place-items: center;
    z-index: 5;
    overflow: hidden;
}

.control-switch_status_section {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.control-switch_status_text {
    font-size: 70px;
}

.control-switch_status_LED {
    background-color: black;
    width: 100px;
    height: 100px;
}

.control-switch_buttons_section {
    display: flex;
    align-self: center;
    column-gap: 25px;
    margin-top: 175px;
}

.control-switch_buttons {
    border: 1px solid var(--control-side-settings-color);
    font-size: 200px;
    color: var(--control-side-settings-color);
}

#control-switch {
    padding-top: 50px;
}

.control-not_implemented_container {
    display: flex;
    padding: 0 300px 0 0;
    align-items: center;
    object-fit: contain;
}

.control-not_implemented_big_text {
    font-size: 50px;
    color: var(--control-side-settings-color);
    font-family: 'Work Talk';
}

.control-not_implemented_small_text {
    font-size: 40px;
    color: #0384fc;
    font-family: 'Times New Roman';
}

#control-castorice_img1 {
    width: 800px;
}

#control-will_img1 {
    width: 800px;
    object-position: 200px 0px;
}